[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.CreateSize

Initializes the image list using the specified height and width.

## Declaration

Source position: imglist.pp line 322

`public constructor TCustomImageList.CreateSize(`
`AWidth: Integer;`
`AHeight: Integer`
`);`

## Arguments

`AWidth` |  | The width of images in the default resolution.
`AHeight` |  | The height of images in the default resolution.

## Description

CreateSize is an alternate constructor for the class instance. CreateSize calls the inherited constructor. CreateSize sets the image size used in the default resolution to the values specified in the AWidth and AHeight parameters.

Create calls the Initialize method to allocate resources and to set the default value for properties used in the image list.

Remark: | CreateSize does not assign a value for the Owner property; it will not receive Notify events when the Application, Form, or Component where it is used is freed.

## See also

TCustomImageList.Width |  | Width of images in the default resolution for the image list.
TCustomImageList.Height |  | Height of images in the default resolution for the image list.
TCustomImageList.Initialize |  | Performs the initial set up for the image list.
TCustomImageList.Create |  | Constructor for the class instance.